Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4147)
@@ -1,1 +1,4 @@
-ORCA2_LIM_nemo_v3.4.tar
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_PISCES_v3.5
+INPUTS_DYNA_v3.tar ORCA2_LIM_PISCES_v3.5 
+INPUTS_INIT_v3.tar ORCA2_LIM_PISCES_v3.5
+INPUTS_PISCES_v3.5.tar ORCA2_LIM_PISCES_v3.5 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4147)
@@ -1,1 +1,3 @@
-INPUTS_DYNA_v3.tar 
+INPUTS_DYNA_v3.tar ORCA2_OFF_PISCES
+INPUTS_INIT_v3.tar ORCA2_OFF_PISCES 
+INPUTS_PISCES_v3.5.tar ORCA2_OFF_PISCES
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_SAS.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_SAS.cfg	(revision 4147)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_SAS.cfg	(revision 4147)
@@ -0,0 +1,2 @@
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_nemo_v3.4
+INPUTS_SAS_v3.5.tar SAS 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/param.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/param.cfg	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/param.cfg	(revision 4147)
@@ -1,4 +1,4 @@
 #- forcing files storing 
-FORCING_DIR=~/FORCING
+FORCING_DIR=~/Documents/WORK/FORCING
 #- input files storing 
 INPUT_DIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
@@ -6,3 +6,3 @@
 #TMPDIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
 #- VALIDATION files storing 
-NEMO_VALIDATION_DIR=~/NEMO_VALIDATION
+NEMO_VALIDATION_DIR=~/Documents/WORK/NEMO_VALIDATION
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/prepare_job.sh	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/prepare_job.sh	(revision 4147)
@@ -96,5 +96,4 @@
 # export EXE_DIR. This directory is used to execute model 
 #
-export EXE_DIR
 #
 #
@@ -112,39 +111,41 @@
 
 ################################################################
-# SET INPUT
+# SET INPUT 
 # get the input tarfile if needed
-tar_file=$(sed -ne "1,1p" ${SETTE_DIR}/$INPUTARFILE)
-if [ "$(cat ${SETTE_DIR}/$INPUTARFILE | grep -c ".tar" )" -ne 0 ] ; then
-	echo "looking for tar file" >> ${SETTE_DIR}/output.sette
-	echo "            " >> ${SETTE_DIR}/output.sette
-	cp ${FORCING_DIR}/${tar_file} ${INPUT_DIR}/.
-	echo "file in ${INPUT_DIR}"
-	if [ ! -f ${INPUT_DIR}/${tar_file} ] ; then 
-		echo "PROBLEM during copy of tar file" >> ${SETTE_DIR}/output.sette
-		echo "tar file IS NOT present in ${INPUT_DIR} directory " >> ${SETTE_DIR}/output.sette
-		echo "            " >> ${SETTE_DIR}/output.sette
-		echo "PROBLEM during copy of tar file" 
-		exit 1
-	else  
-		cd ${EXE_DIR} ; tar xvof ${INPUT_DIR}/*.tar ; gunzip -f *gz
-	fi
-fi 
-
-if [ ! -f ${EXE_DIR}/namelist_ice ] ; then 
-if [ -f ${EXE_DIR}/namelist_ice_lim2 ] ; then 
-   echo "choosing for namelist ice " >> ${SETTE_DIR}/output.sette
-   echo "            " >> ${SETTE_DIR}/output.sette
-   cp ${EXE_DIR}/namelist_ice_lim2 ${EXE_DIR}/namelist_ice
-elif  [ -f ${EXE_DIR}/namelist_ice_lim3 ] ; then 
-   cp ${EXE_DIR}/namelist_ice_lim3 ${EXE_DIR}/namelist_ice
-fi
-fi
-
-
-if [ "$(cat ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm | grep -c "agrif" )" -ne 0 ] ; then
-	#- Namelist for ocean and ice (agrif fine grid)
-   	echo "choosing for namelist for AGRIF" >> ${SETTE_DIR}/output.sette
-   	echo "            " >> ${SETTE_DIR}/output.sette
-	cp ${EXE_DIR}/1_namelist_ice_lim2 ${EXE_DIR}/1_namelist_ice 
+if [ "$(cat ${SETTE_DIR}/$INPUTARFILE | wc -w)" -ne 0 ] ; then
+   echo "looking for input files in ${SETTE_DIR}/$INPUTARFILE " >> ${SETTE_DIR}/output.sette
+# number of tarfiles: NBTAR
+   NBTAR=`cat ${SETTE_DIR}/$INPUTARFILE |wc -l` 
+   echo "NB of tarfiles ${NBTAR} " >> ${SETTE_DIR}/output.sette
+# loop on tarfiles
+# read file name and directory
+while read tar_file dir_conf_forc 
+do
+      echo looking for tarfile ${tar_file} and directory ${FORCING_DIR}/${dir_conf_forc} ; echo looking for tarfile ${tar_file} and directory ${FORCING_DIR}/${dir_conf_forc} >> ${SETTE_DIR}/output.sette
+      if [ -f ${FORCING_DIR}/${tar_file} ] && [ -d ${FORCING_DIR}/${dir_conf_forc} ] ; then
+# Tarfile and input dir ar there, only check the links
+         echo "Tarfile and input dir ar there, only check the links" >> ${SETTE_DIR}/output.sette
+# extract tarfile
+      else 
+
+if [ ! -f ${FORCING_DIR}/${tar_file} ] ; then  
+     echo "tarfile  ${FORCING_DIR}/${tar_file} cannot be found we stop " ; exit 2 ; fi 
+
+echo "mkdir ${FORCING_DIR}/${dir_conf_forc}" >> ${SETTE_DIR}/output.sette
+         mkdir ${FORCING_DIR}/${dir_conf_forc}  
+         cd    ${FORCING_DIR}/${dir_conf_forc}
+echo " extract from tarfile ${FORCING_DIR}/${tar_file} in  ${FORCING_DIR}/${dir_conf_forc}" >> ${SETTE_DIR}/output.sette
+         tar xvof ${FORCING_DIR}/${tar_file} ; gunzip -f `find . -name "*.gz"` 
+      fi
+# Tarfile and input dir ar there, only check the links
+      cd ${FORCING_DIR}/${dir_conf_forc}
+      for fida in *
+         do
+           [ -f ${EXE_DIR}/${fida} ] || ln -s ${FORCING_DIR}/${dir_conf_forc}/${fida} ${EXE_DIR}/${fida}
+         done
+    done < ${SETTE_DIR}/$INPUTARFILE
+
+else
+  echo "no input file to be searched "
 fi
 ################################################################
